Release notes for Excito B3 software version 2.4

Announcements of all software releases for Excito products
oliver

Re: Release notes for Excito B3 software version 2.4

Post by oliver » 14 Feb 2012, 09:08

This will only happen when you try to set up a password with a wrong syntax (e.g. starting with a '#').
@Johannes: please comment if neccessary.

Thanks

Oliver

aardric
Posts: 10
Joined: 04 Jul 2009, 15:01

Re: Release notes for Excito B3 software version 2.4

Post by aardric » 14 Feb 2012, 13:18

oliver wrote:This will only happen when you try to set up a password with a wrong syntax (e.g. starting with a '#').
@Johannes: please comment if neccessary.

Thanks

Oliver
I thought there were other restrictions. Anyway, the password I tried to set was 16 characters, 11-lower case, 1-upper case, 1-numeric and an underscore. I also tried simpler passwords with no success.

aardric
Posts: 10
Joined: 04 Jul 2009, 15:01

Re: Release notes for Excito B3 software version 2.4

Post by aardric » 14 Feb 2012, 13:23

aardric wrote:
oliver wrote:This will only happen when you try to set up a password with a wrong syntax (e.g. starting with a '#').
@Johannes: please comment if neccessary.

Thanks

Oliver
I thought there were other restrictions. Anyway, the password I tried to set was 16 characters, 11-lower case, 1-upper case, 1-numeric and an underscore. I also tried simpler passwords with no success.
I should clarify the above should this be relevant. !6 characters was the very first attempt, the 14 character one above was the second. I then tried simple (under 10 passwords).

carl
Posts: 474
Joined: 07 May 2008, 04:41

Re: Release notes for Excito B3 software version 2.4

Post by carl » 15 Feb 2012, 08:00

ingo2 wrote:I just upgraded from 2.3.1.1 (as delivered) to 2.4 and afterwards observed that

Code: Select all

apt-get autoremove
will purge 104 packages, almost all are *-perl packages.

I did not autoremove yet, becaus I am afraid it will uninstall all the Excito specific additions. Or can I safely cleanup?

Kind regards,
Ingo
All those packages are related to previous installation of squeezecenter; The current package has them all bundled instead (Trying to keep the package as near upstream as possible now).
/Carl Fürstenberg, Excito Software Developer
http://www.excito.com
support@excito.com

carl
Posts: 474
Joined: 07 May 2008, 04:41

Re: Release notes for Excito B3 software version 2.4

Post by carl » 15 Feb 2012, 08:02

gjdb wrote:Where can I find the languagefiles in this version? Directory /usr/share/web-admin/admin/views/default/i18n/en/bubba_lang.php is given in the wiki Create new language files can I not find anymore.
The new translation system is based on gettext. In the source package, there is a file "README.translations" that can help you.
/Carl Fürstenberg, Excito Software Developer
http://www.excito.com
support@excito.com

ingo2
Posts: 81
Joined: 06 Feb 2012, 10:32

Re: Release notes for Excito B3 software version 2.4

Post by ingo2 » 15 Feb 2012, 12:16

carl wrote:
ingo2 wrote:I just upgraded from 2.3.1.1 (as delivered) to 2.4 and afterwards observed that

Code: Select all

apt-get autoremove
will purge 104 packages, almost all are *-perl packages.

I did not autoremove yet, becaus I am afraid it will uninstall all the Excito specific additions. Or can I safely cleanup?

Kind regards,
Ingo
All those packages are related to previous installation of squeezecenter; The current package has them all bundled instead (Trying to keep the package as near upstream as possible now).
Ok, that said I checked my squeezecenter installation. It says:

Code: Select all

root@b3:/home/ingo# dpkg -l squeeze*
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name           Version        Beschreibung
+++-==============-==============-============================================
un  squeezeboxserv <keine>        (keine Beschreibung vorhanden)
rc  squeezecenter  7.6.1.dfsg1-2  Streaming Audio Server
un  squeezecenter- <keine>        (keine Beschreibung vorhanden)
un  squeezecenter- <keine>        (keine Beschreibung vorhanden)
From that I concuded that squeezecenter is a meta-package and has all the above reported packages (which apt-get autoremove wants to un-install) as dependency.

So I tried to install the package "squeezecenter":

Code: Select all

root@b3:/home/ingo# apt-get install squeezecenter
Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut       
Statusinformationen werden eingelesen... Fertig
---- <proposal to autoremove those 104 packages> ...
Die folgenden Pakete werden ENTFERNT:
  bubba bubba-backend bubba-frontend logitechmediaserver
Die folgenden NEUEN Pakete werden installiert:
  squeezecenter
0 aktualisiert, 1 neu installiert, 4 zu entfernen und 0 nicht aktualisiert.
Es müssen 7.064 kB an Archiven heruntergeladen werden.
Nach dieser Operation werden 70,7 MB Plattenplatz freigegeben.
This means when installing squeezecenter, all the bubba-* packages will al be removed (70MB!).

Don't you think that there's somthing mixed up in the dependencies of the package system apt/dpkg?
Please help to get it clean.

With kind regards,
Ingo
UNIX is user friendly, it's just picky about who its friends are.

Gordon
Posts: 1286
Joined: 10 Aug 2011, 03:18

Re: Release notes for Excito B3 software version 2.4

Post by Gordon » 15 Feb 2012, 13:27

@Ingo

Ah, yes. That was one of the issues I had when I upgraded to LogitechMediaServer before. Installing LogitechMediaServer would not only remove the conflicting older SqueezeCenter but also all the Perl objects that LogitechMediaServer itself also depends on. Mimicking install behaviour on a virtual machine (i486) I had no success pulling in the modules with Cpan giving loads of errors and so decided not to go this way on the B3. I ended up doing a forced no dependency check install on top of the existing SqueezeCenter.

What needs to be done is add the same dependencies for SqueezeCenter to the LogitechMediaServer package. From what I've seen it is not safe to remove those 104 packages if you intend to use LogitechMediaServer - there should be no issues involving other packages, so if you don't it will be okay to cleanup.

ingo2
Posts: 81
Joined: 06 Feb 2012, 10:32

Re: Release notes for Excito B3 software version 2.4

Post by ingo2 » 15 Feb 2012, 14:17

Gordon wrote:@Ingo

What needs to be done is add the same dependencies for SqueezeCenter to the LogitechMediaServer package. From what I've seen it is not safe to remove those 104 packages if you intend to use LogitechMediaServer - there should be no issues involving other packages, so if you don't it will be okay to cleanup.
Thanks Gordon, that makes things clear for me now. The sad thing is that there is nowhere information in the release notes - at least I did not find any.

So, for the time beeing I will not execute apt-get autoremove! - other users should be warned.

Unfortunately there is no bug-tracker for B3 or any other place where you can report and follow the bug's progress.

With kind regards,
Ingo
UNIX is user friendly, it's just picky about who its friends are.

carl
Posts: 474
Joined: 07 May 2008, 04:41

Re: Release notes for Excito B3 software version 2.4

Post by carl » 16 Feb 2012, 11:55

ingo2 wrote:
Gordon wrote:@Ingo

What needs to be done is add the same dependencies for SqueezeCenter to the LogitechMediaServer package. From what I've seen it is not safe to remove those 104 packages if you intend to use LogitechMediaServer - there should be no issues involving other packages, so if you don't it will be okay to cleanup.
Thanks Gordon, that makes things clear for me now. The sad thing is that there is nowhere information in the release notes - at least I did not find any.

So, for the time beeing I will not execute apt-get autoremove! - other users should be warned.

Unfortunately there is no bug-tracker for B3 or any other place where you can report and follow the bug's progress.

With kind regards,
Ingo
It's not the same package anymore; It's called "logitechmediaserver" now; and it has all it's dependencies bundled.
/Carl Fürstenberg, Excito Software Developer
http://www.excito.com
support@excito.com

Gordon
Posts: 1286
Joined: 10 Aug 2011, 03:18

Re: Release notes for Excito B3 software version 2.4

Post by Gordon » 16 Feb 2012, 12:53

carl wrote:It's not the same package anymore; It's called "logitechmediaserver" now; and it has all it's dependencies bundled.
Did you doublecheck that? It doesn't go removing 104 packages if there are dependencies on them, and I know for a fact that LogitechMediaServer does not function without at least a number of them - I checked.

ingo2
Posts: 81
Joined: 06 Feb 2012, 10:32

Re: Release notes for Excito B3 software version 2.4

Post by ingo2 » 16 Feb 2012, 13:45

I also checked here and "logitechmediaserver" is defintely correctly installed, see:

Code: Select all

# dpkg -l logitechmediaserver
Gewünscht=Unbekannt/Installieren/R=Entfernen/P=Vollständig Löschen/Halten
| Status=Nicht/Installiert/Config/U=Entpackt/halb konFiguriert/
         Halb installiert/Trigger erWartet/Trigger anhängig
|/ Fehler?=(kein)/R=Neuinstallation notwendig (Status, Fehler: GROSS=schlecht)
||/ Name                    Version                 Beschreibung
+++-=======================-=======================-==============================================================
ii  logitechmediaserver     7.7.1.dfsg1-7           Streaming Audio Server
I did check the *.deb on the Excito server in http://b3.update.excito.org/pool/main/l ... diaserver/
and the config file in /DEBIAN tells just:

Code: Select all

Package: logitechmediaserver
Version: 7.7.1.dfsg1-7
Architecture: armel
Maintainer: Carl Fürstenberg <carl@excito.com>
Installed-Size: 80784
Depends: libc6 (>= 2.9), libgcc1 (>= 1:4.4.0), libgomp1 (>= 4.2.1), libstdc++6 (>= 4.3.0), zlib1g (>= 1:1.1.4), perl, lsb-base (>= 3.2-14), ttf-dejavu | ttf-bitstream-vera, ttf-freefont, adduser
Conflicts: slimp3, slimserver, squeezeboxserver, squeezecenter
Replaces: slimp3, slimserver, squeezeboxserver, squeezecenter
Section: sound
Priority: optional
Description: Streaming Audio Server
 SlimServer is a cross-platform streaming server that supports a wide range
 of formats, including AAC, AIFF, FLAC, Ogg Vorbis, MP3, WAV, and
 WMA.
So, those dependencies are missing - that's why it proposes to remove them - unless it does not need perl anymore???

With kind regards,
Ingo
UNIX is user friendly, it's just picky about who its friends are.

ingo2
Posts: 81
Joined: 06 Feb 2012, 10:32

Re: Release notes for Excito B3 software version 2.4

Post by ingo2 » 16 Feb 2012, 13:58

Sorry to add another post, but I couldnot edit the one before.

Here the config file for "squeezecenter" (as previously used in 2.3.1.1:

Code: Select all

Package: squeezecenter
Version: 7.6.1.dfsg1-2
Architecture: all
Maintainer: Carl Fürstenberg <carl@excito.com>
Installed-Size: 15574
Depends: perl, debconf (>= 0.5) | debconf-2.0, lsb-base (>= 3.2-14), dbconfig-common, ttf-dejavu | ttf-bitstream-vera, ttf-freefont, mysql-server, flac, sox, adduser, wavpack, musepack-tools, libanyevent-perl (>= 5.202), libaudio-scan-perl (>= 0.88), libcache-cache-perl (>= 1.04), libcgi-pm-perl (>= 3.40), libclass-data-inheritable-perl (>= 0.04), libclass-inspector-perl (>= 1.16), libfile-copy-recursive-perl (>= 0.29), libdata-dump-perl, libdata-uriencode-perl (>= 0.11), libdbd-mysql-perl (>= 3.0002), libdbd-sqlite3-perl, libdbi-perl (>= 1.608), libdbix-class-perl (>= 0.08112), libev-perl (>= 4.03), libencode-detect-perl, libfile-bom-perl (>= 0.13), libfile-next-perl (>= 1.06), libfile-readbackwards-perl (>= 1.02), libfile-slurp-perl, libfile-temp-perl (>= 0.17), libfile-which-perl (>= 0.05), libhtml-parser-perl (>= 3.60), libimage-scale-perl (>= 0.06), libio-string-perl (>= 1.07), libjson-xs-perl (>= 2.300), libjson-xs-versiononeandtwo-perl (>= 0.31), liblog-log4perl-perl (>= 1.23), libpar-perl (>= 0.970), libpath-class-perl (>= 0.17), libproc-background-perl (>= 1.08), libsql-abstract-perl (>= 1.56), libsub-name-perl (>= 0.04), libtext-unidecode-perl (>= 0.04), libtimedate-perl, libtie-cache-lru-perl (>= 0.21), libtie-cache-lru-expires-perl, libtie-ixhash-perl, libtie-llhash-perl (>= 1.003), libtie-regexphash-perl (>= 0.13), liburi-perl (>= 1.35), liburi-find-perl (>= 0.16), libuuid-tiny-perl (>= 1.02), libwww-perl (>= 5.805), libxml-parser-perl (>= 2.36), libxml-simple-perl (>= 2.15), libyaml-syck-perl (>= 1.05), libclass-xsaccessor-perl (>= 1.03), libclass-xsaccessor-array-perl (>= 1.04), libexporter-lite-perl, libtemplate-perl, libtemplate-plugin-class-perl, libnet-dns-perl
Conflicts: slimp3, slimserver, squeezecenter-skins, squeezecenter-softsqueeze
Replaces: slimp3, slimserver, squeezecenter-skins, squeezecenter-softsqueeze
Section: sound
Priority: optional
Description: Streaming Audio Server
 SlimServer is a cross-platform streaming server that supports a wide range
 of formats, including AAC, AIFF, FLAC, Ogg Vorbis, MP3, WAV, and
 WMA.
So, either this is not just a renaming + update as what the Package: squeezecenter has been described in the release notes, or dependencies are incorrect.

Regards,
Ingo
UNIX is user friendly, it's just picky about who its friends are.

ingo2
Posts: 81
Joined: 06 Feb 2012, 10:32

Re: Release notes for Excito B3 software version 2.4

Post by ingo2 » 16 Feb 2012, 14:02

Correction:

instead of file /DEBIAN/config it has to bee /DEBIAN/control of course

Sorry, Ingo
UNIX is user friendly, it's just picky about who its friends are.

ryz
Posts: 183
Joined: 12 Feb 2009, 06:03

Re: Release notes for Excito B3 software version 2.4

Post by ryz » 16 Feb 2012, 17:45

Gordon wrote:
carl wrote:It's not the same package anymore; It's called "logitechmediaserver" now; and it has all it's dependencies bundled.
Did you doublecheck that? It doesn't go removing 104 packages if there are dependencies on them, and I know for a fact that LogitechMediaServer does not function without at least a number of them - I checked.
I read carls comment as that the logitechmediaserver now delivers all the Perl module it needs bundled in the logitechmediaserver. That is it uses its internal packages and hence does not need any Perl dependencies so I suggest you look at what files the logitechmediaserver includes to see if the Perl file is there.

Gordon
Posts: 1286
Joined: 10 Aug 2011, 03:18

Re: Release notes for Excito B3 software version 2.4

Post by Gordon » 17 Feb 2012, 02:21

ryz wrote:I read carls comment as that the logitechmediaserver now delivers all the Perl module it needs bundled in the logitechmediaserver. That is it uses its internal packages and hence does not need any Perl dependencies so I suggest you look at what files the logitechmediaserver includes to see if the Perl file is there.
I installed LogitechMediaServer on a virgin Gentoo system (VM) and I ended up running CPAN for three hours and still get errors about missing- or wrong version Perl objects. I also did uninstall Squeezecenter (and all those dependencies) on the B3 and installed LogitechMediaServer afterwards, with the same result as on the Gentoo system - No Go. There's a stand-alone version that includes libraries for every supported processor and that will probably work as is (I did not verify this because I intended to stick to package manager), but the (ARM) package is much smaller and did not find the required Perl objects. Clearly these are not part of the package (or it references the wrong library path, using system instead of private).

I couldn't make it work without reinstalling Squeezecenter first, which is clearly not an option in the 2.4 release because this this would remove several Bubba system packages.

Post Reply